# Class MepCalculation

java.lang.Object
org.jmol.quantum.QuantumCalculation
org.jmol.quantum.MepCalculation

Direct Known Subclasses:
  `MlpCalculation`

public class MepCalculation extends QuantumCalculation

## Field Summary

Fields
Modifier and Type
Field
Description
`protected int`
`distanceMode`
`protected static final int`
`E_MINUS_D`
`protected static final int`
`E_MINUS_D_OVER_2`
`protected Map<String,Object>`
`htAtomicPotentials`
`protected static final int`
`ONE_OVER_D`
`protected static final int`
`ONE_OVER_ONE_PLUS_D`
`protected String`
`resourceName`

### Fields inherited from class QuantumCalculation

`atomIndex, bohr_per_angstrom, bsExcluded, countsXYZ, doDebug, firstAtomOffset, integration, nX, nY, nZ, originBohr, points, qmAtoms, rangeBohrOrAngstroms, stepBohr, thisAtom, unitFactor, volume, voxelData, voxelDataTemp, X, X2, xBohr, xMax, xMin, Y, Y2, yBohr, yMax, yMin, Z, Z2, zBohr, zMax, zMin`

## Constructor Summary

Constructors
Constructor
Description
`MepCalculation()`

## Method Summary

Modifier and Type
Method
Description
`void`
`assignPotentials(Atom[] atoms, float[] potentials, BS bsAromatic, BS bsCarbonyl, BS bsIgnore, String data)`
`void`
`calculate(VolumeData volumeData, BS bsSelected, P3[] xyz, Atom[] atoms, float[] potentials, int calcType)`
`void`
`createCube()`
`protected void`
`getAtomicPotentials(String data, String resourceName)`
`protected float`
`getTabulatedPotential(Atom atom)`
`float`
`getValueAtPoint(P3 pt)`
`protected void`
`process()`
`void`
`set(Viewer vwr)`
`void`
`setup(int calcType, float[] potentials, P3[] atomCoordAngstroms, BS bsSelected)`
`float`
`valueFor(float x0, float d2, int distanceMode)`

### Methods inherited from class QuantumCalculation

`getIntegration, initialize, initialize0, initializeOnePoint, initializeOnePointQC, processPoints, processPt, setMinMax, setupCoordinates, setXYZBohr`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ONE_OVER_D

protected static final int ONE_OVER_D

See Also:
  - Constant Field Values

### E_MINUS_D_OVER_2

protected static final int E_MINUS_D_OVER_2

See Also:
  - Constant Field Values

### ONE_OVER_ONE_PLUS_D

protected static final int ONE_OVER_ONE_PLUS_D

See Also:
  - Constant Field Values

### E_MINUS_D

protected static final int E_MINUS_D

See Also:
  - Constant Field Values

### distanceMode

protected int distanceMode

### htAtomicPotentials

protected Map<String,Object> htAtomicPotentials

### resourceName

protected String resourceName

## Constructor Details

### MepCalculation

public MepCalculation()

## Method Details

### set

public void set(Viewer vwr)

### assignPotentials

public void assignPotentials(Atom[] atoms, float[] potentials, BS bsAromatic, BS bsCarbonyl, BS bsIgnore, String data)

Parameters:
  `atoms` -
  `potentials` -
  `bsAromatic` -
  `bsCarbonyl` -
  `bsIgnore` -
  `data` -

### setup

public void setup(int calcType, float[] potentials, P3[] atomCoordAngstroms, BS bsSelected)

### calculate

public void calculate(VolumeData volumeData, BS bsSelected, P3[] xyz, Atom[] atoms, float[] potentials, int calcType)

### getValueAtPoint

public float getValueAtPoint(P3 pt)

### process

protected void process()

Specified by:
  `process` in class `QuantumCalculation`

### valueFor

public float valueFor(float x0, float d2, int distanceMode)

### getTabulatedPotential

protected float getTabulatedPotential(Atom atom)

### getAtomicPotentials

protected void getAtomicPotentials(String data, String resourceName)

### createCube

public void createCube()

Specified by:
  `createCube` in class `QuantumCalculation`